Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.autotune
Class AutotuneServiceLevelMetric

    java.lang.Object
      com.ibm.able.autotune.AutotuneMetric
          com.ibm.able.autotune.AutotuneServiceLevelMetric

All Implemented Interfaces:
  java.io.Serializable

public class AutotuneServiceLevelMetric
extends AutotuneMetric

See Also:
  Serialized Form

Field Summary
`protected boolean` | `triggered`

Fields inherited from class com.ibm.able.autotune.AutotuneMetric
`myInitialValue, myValue, name, referenceCount, sensor, sensorArgs`

Constructor Summary
`AutotuneServiceLevelMetric()`
`AutotuneServiceLevelMetric(java.lang.String name)`
`AutotuneServiceLevelMetric(java.lang.String name, AbleVariable initialValue)`
`AutotuneServiceLevelMetric(java.lang.String name, AbleVariable initialValue, AbleUserDefinedFunction sensor)`

Method Summary
`void` | `computeError()`

Methods inherited from class com.ibm.able.autotune.AutotuneMetric
`addReference, getBooleanValue, getFuzzyValue, getGenericValue, getInitialValue, getName, getNumericValue, getStringValue, getValue, isActive, refreshValue, removeReference, reset, setBooleanValue, setGenericValue, setNumericValue, setStringValue, setValue, toString, xmlCWrString, xmlDclString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### triggered

    protected boolean triggered

Constructor Detail

### AutotuneServiceLevelMetric

    public AutotuneServiceLevelMetric()

### AutotuneServiceLevelMetric

    public AutotuneServiceLevelMetric(java.lang.String name)

### AutotuneServiceLevelMetric

    public AutotuneServiceLevelMetric(java.lang.String name,
                                      AbleVariable initialValue)

### AutotuneServiceLevelMetric

    public AutotuneServiceLevelMetric(java.lang.String name,
                                      AbleVariable initialValue,
                                      AbleUserDefinedFunction sensor)

Method Detail

### computeError

    public void computeError()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005